Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -1409,7 +1409,7 @@
 
 #ifdef ISOVERIF       
-       if (pt.lt.pxtmelt) THEN
-           if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 55') &
-                 .eq.1) THEN
+       IF (pt.lt.pxtmelt) THEN
+           IF (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 55') &
+                 .EQ.1) THEN
 !              WRITE(*,*) 'kt,pt=',kt,pt
 !              WRITE(*,*) 'talps1(kt),talps2(kt)=',
@@ -1424,23 +1424,23 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+       IF ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
          pfraice=1.
-       else  !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
-         if (pt.lt.pxtmelt) THEN
+       else  !if ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
+         IF (pt.lt.pxtmelt) THEN
            ZSATVAL=musi-lambda_sursat*(pt-ZCELS)
            pfraice=pfraice*(ZSATVAL/(1.+pfraice*(ZSATVAL-1.) &
                 *tdifrel(kt)))
          endif !if (pt.lt.pxtmelt) THEN
-       endif !if ((kt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
-#ifdef ISOVERIF
-         if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 73')  &
-                 .eq.1) THEN
+       endif !if ((kt.NE.iso_eau).OR.(iso_eau.gt.0.NE.1)) THEN
+#ifdef ISOVERIF
+         IF (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 73')  &
+                 .EQ.1) THEN
 !            WRITE(*,*) 'kt,pt=',kt,pt
 !            WRITE(*,*) 'ZSATVAL,tdifrel(kt)=',ZSATVAL,tdifrel(kt)
          endif
-         if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+         IF ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
              CALL iso_verif_egalite(pfraice,1.0,'iso_fractcal 63')
              CALL iso_verif_egalite(pxtfra,1.0,'iso_fractcal 67')
-         endif !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+         endif !if ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
 #endif
        pfraice=max(min(pfraice,100.0),0.0)
@@ -1468,14 +1468,14 @@
 
 !c -- inputs:
-      integer kt    ! tracor number
-      real ptin       ! temperature (K)
+      INTEGER kt    ! tracor number
+      REAL ptin       ! temperature (K)
 
 !c -- outputs:
-      real pxtfra   ! fractionation factor for vapor/liquid condensation
-
-      real pt ! la température max(ptin,pxtmin)
+      REAL pxtfra   ! fractionation factor for vapor/liquid condensation
+
+      REAL pt ! la température max(ptin,pxtmin)
 
 !      integer iso_verif_noNAN_nostop ! pour debugage
-      real alpha_max
+      REAL alpha_max
       parameter (alpha_max=10.0)
 
@@ -1487,5 +1487,5 @@
        pt=max(ptin,pxtmin)
 
-       if ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
+       IF ((iso_O17.gt.0).AND.(kt.EQ.iso_O17)) THEN
          pxtfra=(EXP(talph1(kt)/(pt**2)+talph2(kt)/pt+talph3(kt))) &
                  **fac_coeff_eq17_liq
@@ -1495,7 +1495,7 @@
 
 #ifdef ISOVERIF
-       if (pt.gt.pxtice) THEN
-           if (iso_verif_noNAN_nostop(pxtfra,'iso_fractcal 33') &
-                  .eq.1) THEN
+       IF (pt.gt.pxtice) THEN
+           IF (iso_verif_noNAN_nostop(pxtfra,'iso_fractcal 33') &
+                  .EQ.1) THEN
 !             WRITE(*,*) 'kt,pt=',kt,pt
 !             WRITE(*,*) 'talph1(kt),talph2(kt),talph3(kt)=',
@@ -1503,5 +1503,5 @@
            endif
        endif !if (pt.gt.pxtice) THEN
-       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+       IF ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
            CALL iso_verif_egalite(pxtfra,1.0,'iso_fractcal_phase 51')
        endif
@@ -1514,5 +1514,5 @@
       SUBROUTINE fractcalk_glace(kt, ptin, pfraice)
 
-      use isotopes_mod, ONLY: talps1,talps2, iso_O17,fac_coeff_eq17_ice, &
+      USE isotopes_mod, ONLY: talps1,talps2, iso_O17,fac_coeff_eq17_ice, &
           pxtmelt,musi, lambda_sursat, tdifrel, &
           iso_eau,iso_O18,iso_HDO,iso_O17,iso_HTO
@@ -1531,22 +1531,22 @@
 
 !c -- inputs:
-      integer kt    ! tracor number
-      real ptin       ! temperature (K)
+      INTEGER kt    ! tracor number
+      REAL ptin       ! temperature (K)
 
 !c -- outputs:
-      real pfraice  ! fractionation factor for vapor/ice condensation
+      REAL pfraice  ! fractionation factor for vapor/ice condensation
 
 !c -- local variables:
-      real ZCELS, ZSATVAL
+      REAL ZCELS, ZSATVAL
       parameter (ZCELS=273.15)
-      real Tmin ! valeur minimum de la température en K. Si elle est de
+      REAL Tmin ! valeur minimum de la température en K. Si elle est de
         ! l'ordre de quelques K seulement, les coeffs de fractionnement
         ! deviennent démesurément grands, et en plus ça fait planter l'execution à
         ! l'idris.
       parameter (Tmin=100.0)
-      real pt ! la température max(ptin,Tmin)
+      REAL pt ! la température max(ptin,Tmin)
 
 !      integer iso_verif_noNAN_nostop ! pour debugage
-      real alpha_max
+      REAL alpha_max
       parameter (alpha_max=10.0)
 
@@ -1557,15 +1557,15 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(kt.eq.iso_HTO)) THEN
+       IF ((iso_HTO.gt.0).AND.(kt.EQ.iso_HTO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt)/pt)
 
-       elseif ((iso_HDO.gt.0).and.(kt.eq.iso_HDO)) THEN
+       elseif ((iso_HDO.gt.0).AND.(kt.EQ.iso_HDO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt))
 
-       elseif ((iso_O18.gt.0).and.(kt.eq.iso_O18)) THEN
+       elseif ((iso_O18.gt.0).AND.(kt.EQ.iso_O18)) THEN
           pfraice=EXP(talps1(kt)/pt+talps2(kt))
-       elseif ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
+       elseif ((iso_O17.gt.0).AND.(kt.EQ.iso_O17)) THEN
           pfraice=(EXP(talps1(kt)/pt+talps2(kt)))**fac_coeff_eq17_ice
-       elseif ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+       elseif ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
           pfraice=1.
        else
@@ -1577,7 +1577,7 @@
 
 #ifdef ISOVERIF       
-       if (pt.lt.pxtmelt) THEN
-           if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 55') &
-                 .eq.1) THEN
+       IF (pt.lt.pxtmelt) THEN
+           IF (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 55') &
+                 .EQ.1) THEN
 !              WRITE(*,*) 'kt,pt=',kt,pt
 !              WRITE(*,*) 'talps1(kt),talps2(kt)=',
@@ -1594,22 +1594,22 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+       IF ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
          pfraice=1.
-       else  !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
-         if (pt.lt.pxtmelt) THEN
+       else  !if ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
+         IF (pt.lt.pxtmelt) THEN
            ZSATVAL=musi-lambda_sursat*(pt-ZCELS)
            pfraice=pfraice*(ZSATVAL/(1.+pfraice*(ZSATVAL-1.) &
                 *tdifrel(kt)))
          endif !if (pt.lt.pxtmelt) THEN
-       endif !if ((kt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
-#ifdef ISOVERIF
-         if (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 73')  &
-                 .eq.1) THEN
+       endif !if ((kt.NE.iso_eau).OR.(iso_eau.gt.0.NE.1)) THEN
+#ifdef ISOVERIF
+         IF (iso_verif_noNAN_nostop(pfraice,'iso_fractcal 73')  &
+                 .EQ.1) THEN
 !            WRITE(*,*) 'kt,pt=',kt,pt
 !            WRITE(*,*) 'ZSATVAL,tdifrel(kt)=',ZSATVAL,tdifrel(kt)
          endif
-         if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+         IF ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
              CALL iso_verif_egalite(pfraice,1.0,'iso_fractcal 63')
-         endif !if ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+         endif !if ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
 #endif
        pfraice=max(min(pfraice,alpha_max),0.0)
@@ -1639,17 +1639,17 @@
 
 !c -- inputs:
-      integer n ! nombre de mailles à traiter
-      real ptin(n)       ! temperature (K)
+      INTEGER n ! nombre de mailles à traiter
+      REAL ptin(n)       ! temperature (K)
 
 !c -- outputs:
-      real pxtfra(niso,n)   ! fractionation factor for vapor/liquid condensation
-      real pfraice(niso,n)  ! fractionation factor for vapor/ice condensation
+      REAL pxtfra(niso,n)   ! fractionation factor for vapor/liquid condensation
+      REAL pfraice(niso,n)  ! fractionation factor for vapor/ice condensation
 
 !c -- local variables:
-      real ZCELS, ZSATVAL(n)
+      REAL ZCELS, ZSATVAL(n)
       parameter (ZCELS=273.15)
-      real pt(n) ! la température max(ptin,pxtmin)
-      integer i ! compteur: indice des mailles
-      integer ixt ! compteur: indice de l'isotope
+      REAL pt(n) ! la température max(ptin,pxtmin)
+      INTEGER i ! compteur: indice des mailles
+      INTEGER ixt ! compteur: indice de l'isotope
 
 !#ifdef ISOVERIF
@@ -1657,5 +1657,5 @@
 !#endif      
 
-      real alpha_max
+      REAL alpha_max
       parameter (alpha_max=10.0)
 
@@ -1671,5 +1671,5 @@
       do ixt=1,niso ! *******************************
 
-       if ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
+       IF ((iso_O17.gt.0).AND.(ixt.EQ.iso_O17)) THEN
          do i=1,n
          pxtfra(ixt,i)=(EXP(talph1(ixt)/(pt(i)**2) &
@@ -1686,7 +1686,7 @@
 #ifdef ISOVERIF
        do i=1,n
-        if (pt(i).gt.pxtice) THEN
-           if (iso_verif_noNAN_nostop(pxtfra(ixt,i), &
-                 'iso_fractcal 33').eq.1) THEN
+        IF (pt(i).gt.pxtice) THEN
+           IF (iso_verif_noNAN_nostop(pxtfra(ixt,i), &
+                 'iso_fractcal 33').EQ.1) THEN
            endif
         endif !if (pt(i).gt.pxtice) THEN
@@ -1702,24 +1702,24 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) THEN
+       IF ((iso_HTO.gt.0).AND.(ixt.EQ.iso_HTO)) THEN
          do i=1,n 
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                   +talps2(ixt)/pt(i))
          enddo !do i=1,n       
-       elseif ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+       elseif ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                  +talps2(ixt))
          enddo !do i=1,n       
-       elseif ((iso_O18.gt.0).and.(ixt.eq.iso_O18)) THEN
+       elseif ((iso_O18.gt.0).AND.(ixt.EQ.iso_O18)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/pt(i)+talps2(ixt))
          enddo !do i=1,n 
-       elseif ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
+       elseif ((iso_O17.gt.0).AND.(ixt.EQ.iso_O17)) THEN
          do i=1,n
           pfraice(ixt,i)=(EXP(talps1(ixt)/pt(i) &
                  +talps2(ixt)))**fac_coeff_eq17_ice
          enddo !do i=1,n 
-       elseif ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+       elseif ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
          do i=1,n
           pfraice(ixt,i)=1.
@@ -1734,7 +1734,7 @@
 #ifdef ISOVERIF  
        do i=1,n     
-         if (pt(i).lt.pxtmelt) THEN
-           if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                 'iso_fractcal 55').eq.1) THEN
+         IF (pt(i).lt.pxtmelt) THEN
+           IF (iso_verif_noNAN_nostop(pfraice(ixt,i), &
+                 'iso_fractcal 55').EQ.1) THEN
            endif
          endif !if (pt(i).lt.pxtmelt) THEN
@@ -1750,8 +1750,8 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-       else  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+       IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+       else  !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
          do i=1,n   
-          if (pt(i).lt.pxtmelt) THEN
+          IF (pt(i).lt.pxtmelt) THEN
            ZSATVAL(i)=musi-lambda_sursat*(pt(i)-ZCELS)
            pfraice(ixt,i)=pfraice(ixt,i) &
@@ -1760,14 +1760,14 @@
           endif !if (pt(i).lt.pxtmelt) THEN
          enddo ! do i=1,n 
-       endif !if ((ixt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
+       endif !if ((ixt.NE.iso_eau).OR.(iso_eau.gt.0.NE.1)) THEN
 #ifdef ISOVERIF
        do i=1,n
-         if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                'iso_fractcal 73').eq.1) THEN
+         IF (iso_verif_noNAN_nostop(pfraice(ixt,i), &
+                'iso_fractcal 73').EQ.1) THEN
 !            WRITE(*,*) 'ixt,pt(i)=',ixt,pt(i)
 !            WRITE(*,*) 'ZSATVAL,tdifrel(ixt)=',ZSATVAL,tdifrel(ixt)
          endif
        enddo
-         if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+         IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
             do i=1,n 
              CALL iso_verif_egalite(pfraice(ixt,i),1.0, &
@@ -1776,5 +1776,5 @@
                  'iso_fractcal 67')
             enddo ! do i=1,n 
-         endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+         endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 #endif
        do i=1,n
@@ -1809,16 +1809,16 @@
 
 !c -- inputs:
-      integer n ! nombre de mailles à traiter
-      real ptin(n)       ! temperature (K)
+      INTEGER n ! nombre de mailles à traiter
+      REAL ptin(n)       ! temperature (K)
 
 !c -- outputs:
-      real pxtfra(niso,n)   ! fractionation factor for vapor/liquid condensation
-
-      real pt(n) ! la température max(ptin,pxtmin)
-      integer i ! compteur: indice des mailles
-      integer ixt ! compteur: indice de l'isotope
+      REAL pxtfra(niso,n)   ! fractionation factor for vapor/liquid condensation
+
+      REAL pt(n) ! la température max(ptin,pxtmin)
+      INTEGER i ! compteur: indice des mailles
+      INTEGER ixt ! compteur: indice de l'isotope
 
 !      integer iso_verif_noNAN_nostop ! pour debugage
-      real alpha_max
+      REAL alpha_max
       parameter (alpha_max=10.0)
 
@@ -1833,5 +1833,5 @@
       do ixt=1,niso ! *******************************
 
-       if ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
+       IF ((iso_O17.gt.0).AND.(ixt.EQ.iso_O17)) THEN
          do i=1,n
          pxtfra(ixt,i)=(EXP(talph1(ixt)/(pt(i)**2) &
@@ -1848,7 +1848,7 @@
 #ifdef ISOVERIF
        do i=1,n
-        if (pt(i).gt.pxtice) THEN
-           if (iso_verif_noNAN_nostop(pxtfra(ixt,i), &
-                 'iso_fractcal 33').eq.1) THEN
+        IF (pt(i).gt.pxtice) THEN
+           IF (iso_verif_noNAN_nostop(pxtfra(ixt,i), &
+                 'iso_fractcal 33').EQ.1) THEN
            endif
         endif !if (pt(i).gt.pxtice) THEN
@@ -1869,5 +1869,5 @@
       SUBROUTINE fractcalk_vectall_ice(ptin, pfraice,n)
 
-      use isotopes_mod, ONLY: talps1,talps2, fac_coeff_eq17_ice, &
+      USE isotopes_mod, ONLY: talps1,talps2, fac_coeff_eq17_ice, &
           pxtmelt,musi, lambda_sursat, tdifrel, &
           iso_eau, iso_HDO, iso_O18, iso_HTO, iso_O17
@@ -1887,24 +1887,24 @@
 
 !c -- inputs:
-      integer n ! nombre de mailles à traiter
-      real ptin(n)       ! temperature (K)
+      INTEGER n ! nombre de mailles à traiter
+      REAL ptin(n)       ! temperature (K)
 
 !c -- outputs:
-      real pfraice(niso,n)  ! fractionation factor for vapor/ice condensation
+      REAL pfraice(niso,n)  ! fractionation factor for vapor/ice condensation
 
 !c -- local variables:
-      real ZCELS, ZSATVAL(n)
+      REAL ZCELS, ZSATVAL(n)
       parameter (ZCELS=273.15)
-      real Tmin ! valeur minimum de la température en K. Si elle est de
+      REAL Tmin ! valeur minimum de la température en K. Si elle est de
         ! l'ordre de quelques K seulement, les coeffs de fractionnement
         ! deviennent démesurément grands, et en plus ça fait planter l'execution à
         ! l'idris.
       parameter (Tmin=100.0)
-      real pt(n) ! la température max(ptin,Tmin)
-      integer i ! compteur: indice des mailles
-      integer ixt ! compteur: indice de l'isotope
+      REAL pt(n) ! la température max(ptin,Tmin)
+      INTEGER i ! compteur: indice des mailles
+      INTEGER ixt ! compteur: indice de l'isotope
 
 !      integer iso_verif_noNAN_nostop ! pour debugage
-      real alpha_max
+      REAL alpha_max
       parameter (alpha_max=10.0)
 
@@ -1919,24 +1919,24 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(ixt.eq.iso_HTO)) THEN
+       IF ((iso_HTO.gt.0).AND.(ixt.EQ.iso_HTO)) THEN
          do i=1,n 
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                   +talps2(ixt)/pt(i))
          enddo !do i=1,n       
-       elseif ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+       elseif ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/(pt(i)**2) &
                  +talps2(ixt))
          enddo !do i=1,n       
-       elseif ((iso_O18.gt.0).and.(ixt.eq.iso_O18)) THEN
+       elseif ((iso_O18.gt.0).AND.(ixt.EQ.iso_O18)) THEN
          do i=1,n
           pfraice(ixt,i)=EXP(talps1(ixt)/pt(i)+talps2(ixt))
          enddo !do i=1,n 
-       elseif ((iso_O17.gt.0).and.(ixt.eq.iso_O17)) THEN
+       elseif ((iso_O17.gt.0).AND.(ixt.EQ.iso_O17)) THEN
          do i=1,n
           pfraice(ixt,i)=(EXP(talps1(ixt)/pt(i)+talps2(ixt))) &
                  **fac_coeff_eq17_ice
          enddo !do i=1,n 
-       elseif ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+       elseif ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
          do i=1,n
           pfraice(ixt,i)=1.
@@ -1951,7 +1951,7 @@
 #ifdef ISOVERIF  
        do i=1,n     
-         if (pt(i).lt.pxtmelt) THEN
-           if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                 'iso_fractcal 55').eq.1) THEN
+         IF (pt(i).lt.pxtmelt) THEN
+           IF (iso_verif_noNAN_nostop(pfraice(ixt,i), &
+                 'iso_fractcal 55').EQ.1) THEN
            endif
          endif !if (pt(i).lt.pxtmelt) THEN
@@ -1967,8 +1967,8 @@
 !c-----------------------------------------------------------
 
-       if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-       else  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+       IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+       else  !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
          do i=1,n   
-          if (pt(i).lt.pxtmelt) THEN
+          IF (pt(i).lt.pxtmelt) THEN
            ZSATVAL(i)=musi-lambda_sursat*(pt(i)-ZCELS)
            pfraice(ixt,i)=pfraice(ixt,i) &
@@ -1977,19 +1977,19 @@
           endif !if (pt(i).lt.pxtmelt) THEN
          enddo ! do i=1,n 
-       endif !if ((ixt.ne.iso_eau).or.(iso_eau.gt.0.ne.1)) THEN
+       endif !if ((ixt.NE.iso_eau).OR.(iso_eau.gt.0.NE.1)) THEN
 #ifdef ISOVERIF
        do i=1,n
-         if (iso_verif_noNAN_nostop(pfraice(ixt,i), &
-                'iso_fractcal 73').eq.1) THEN
+         IF (iso_verif_noNAN_nostop(pfraice(ixt,i), &
+                'iso_fractcal 73').EQ.1) THEN
 !            WRITE(*,*) 'ixt,pt(i)=',ixt,pt(i)
 !            WRITE(*,*) 'ZSATVAL,tdifrel(ixt)=',ZSATVAL,tdifrel(ixt)
          endif
        enddo
-         if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+         IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
             do i=1,n 
              CALL iso_verif_egalite(pfraice(ixt,i),1.0, &
                         'iso_fractcal 63')
             enddo ! do i=1,n 
-         endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+         endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 #endif
        do i=1,n
@@ -2019,17 +2019,17 @@
 
 ! inputs
-integer klon
-integer i
-real qsol(klon)
-real evap(klon)
-real xtsol(niso,klon)
-real xt1lay(ntraciso,klon)
-real q1lay(klon)
-real t1lay(klon)
+INTEGER klon
+INTEGER i
+REAL qsol(klon)
+REAL evap(klon)
+REAL xtsol(niso,klon)
+REAL xt1lay(ntraciso,klon)
+REAL q1lay(klon)
+REAL t1lay(klon)
 ! outputs
-real Rsol(niso)
+REAL Rsol(niso)
 ! locals
-integer ixt
-real zxtalphal(niso),zxtalphai(niso)
+INTEGER ixt
+REAL zxtalphal(niso),zxtalphai(niso)
 !#ifdef ISOVERIF      
 !integer iso_verif_egalite_choix_nostop
@@ -2050,18 +2050,18 @@
 END IF !if (iso_eau.gt.0) THEN
 IF (iso_HDO.gt.0) THEN
-  if (qsol(i).gt.ridicule_qsol*1e2) THEN
+  IF (qsol(i).gt.ridicule_qsol*1e2) THEN
      CALL iso_verif_aberrant(( &
 &           xtsol(iso_HDO,i)/qsol(i))/faccond, &
 &           'iso_surf>calcul_Rsol 301')
- endif ! if (qsol(i).gt.ridicule_qsol) THEN
+ END IF ! if (qsol(i).gt.ridicule_qsol) THEN
 END IF  !if (iso_HDO.gt.0) THEN
-IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-    if (qsol(i).gt.ridicule_qsol) THEN
+IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+    IF (qsol(i).gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant_o17( &
 &           (xtsol(iso_O17,i) &
 &           /qsol(i)),(xtsol(iso_O18,i) &
 &           /qsol(i)),'iso_surf 401')
-    endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-END IF !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+    endif !if ((qsol(i).gt.ridicule).AND.(xtsol(iso_O18,i)
+END IF !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 ! end verif 
@@ -2077,25 +2077,25 @@
     CALL iso_verif_noNAN(Rsol(ixt),'iso_surf>calcul_Rsol 3191')
   enddo !do ixt=1,niso
-  if (iso_eau.gt.0) THEN
-   if (iso_verif_egalite_choix_nostop(Rsol(iso_eau),1.0, &
+  IF (iso_eau.gt.0) THEN
+   IF (iso_verif_egalite_choix_nostop(Rsol(iso_eau),1.0, &
 &           'iso_surf>calcul_Rsol 312',errmax,errmaxrel*10) &
-&           .eq.1) THEN
+&           .EQ.1) THEN
       WRITE(*,*) 'xtsol(ixt,i),qsol(i),ridicule_qsol=', &
 &           xtsol(ixt,i),qsol(i),ridicule_qsol
       stop
    endif !if (iso_verif_egalite_choix_nostop(Rsol(iso_eau),1.0,   
-  endif !if (iso_eau.gt.0) THEN
-  if (iso_HDO.gt.0) THEN
-    if (qsol(i).gt.ridicule_qsol*1e2) THEN
+  ENDIF !if (iso_eau.gt.0) THEN
+  IF (iso_HDO.gt.0) THEN
+    IF (qsol(i).gt.ridicule_qsol*1e2) THEN
       CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &                  'iso_surf>calcul_Rsol 3201')
     endif !if (qsol(i).gt.ridicule_qsol) THEN
-  endif  !if (iso_HDO.gt.0) THEN
- if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-    if (qsol(i).gt.ridicule_qsol) THEN
+  ENDIF  !if (iso_HDO.gt.0) THEN
+ IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+    IF (qsol(i).gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant_o17(Rsol(iso_O17), &
 &           Rsol(iso_O18),'iso_surf 437')
-    endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
- endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+    endif !if ((qsol(i).gt.ridicule).AND.(xtsol(iso_O18,i)
+ END IF !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 ! end verif 
@@ -2103,10 +2103,10 @@
 else !if (qsol(i).gt.ridicule_rain) THEN
 #ifdef ISOVERIF
- if (evap(i)*1800.0.gt.qsol(i)) THEN
+ IF (evap(i)*1800.0.gt.qsol(i)) THEN
  WRITE(*,*) 'iso_surf>calcul_Rsol 2989'
  WRITE(*,*) 'qsol(i)=',qsol(i),' mais evap(i)=',evap(i)
- endif
+ END IF
 #endif         
- if (q1lay(i).gt.ridicule) THEN
+ IF (q1lay(i).gt.ridicule) THEN
        ! on suppose que
        ! deltaDsol=deltaDprecip~deltaDcond(INB)~deltaDNK
@@ -2114,5 +2114,5 @@
       CALL fractcalk(ixt,t1lay(i),zxtalphal(ixt),zxtalphai(ixt))
      enddo
-     if (t1lay(i).ge.0.0) THEN
+     IF (t1lay(i).ge.0.0) THEN
          do ixt=1,niso              
             Rsol(ixt)=zxtalphal(ixt)*xt1lay(ixt,i)/q1lay(i) 
@@ -2125,20 +2125,20 @@
 &                   'iso_surf>calcul_Rsol 3202')
            enddo !do ixt=1,niso
-           if (iso_eau.gt.0) THEN
+           IF (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
 &                  'iso_surf>calcul_Rsol 467',errmax,errmaxrel)
            endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
-              if (qsol(i).gt.ridicule_qsol) THEN
+           IF (iso_HDO.gt.0) THEN
+              IF (qsol(i).gt.ridicule_qsol) THEN
                  CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &                   'iso_surf>calcul_Rsol 338')
                endif !if (qsol(i).gt.ridicule_qsol) THEN
            endif  !if (iso_HDO.gt.0) THEN
-           if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-             if (qsol(i).gt.ridicule_qsol) THEN
+           IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+             IF (qsol(i).gt.ridicule_qsol) THEN
                CALL iso_verif_aberrant_o17(Rsol(iso_O17) &
 &                   ,Rsol(iso_O18),'iso_surf 480')
-             endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-           endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+             endif !if ((qsol(i).gt.ridicule).AND.(xtsol(iso_O18,i)
+           endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
           ! end verif
@@ -2155,20 +2155,20 @@
 &                   'iso_surf>calcul_Rsol 3207')
             enddo !do ixt=1,niso    
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
                 CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
 &                   'iso_surf>calcul_Rsol 335',errmax,errmaxrel)
             endif !if (iso_eau.gt.0) THEN
-            if (iso_HDO.gt.0) THEN
-              if (qsol(i).gt.ridicule_qsol) THEN
+            IF (iso_HDO.gt.0) THEN
+              IF (qsol(i).gt.ridicule_qsol) THEN
                 CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &                   'iso_surf>calcul_Rsol 338')
               endif !if (qsol(i).gt.ridicule_qsol) THEN
             endif  !if (iso_HDO.gt.0) THEN
-            if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-              if (qsol(i).gt.ridicule_qsol) THEN
+            IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+              IF (qsol(i).gt.ridicule_qsol) THEN
                 CALL iso_verif_aberrant_o17(Rsol(iso_O17) &
 &                    ,Rsol(iso_O18),'iso_surf 513')
-              endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
-            endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+              endif !if ((qsol(i).gt.ridicule).AND.(xtsol(iso_O18,i)
+            endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
               ! end verif
@@ -2179,5 +2179,5 @@
         WRITE(*,*) 'q1lay(i)=',q1lay(i)
         CALL abort_physic('isotopes_routines_mod', 'iso_surf 2187', 1)
- endif !if (q1lay(i).gt.ridicule) THEN
+ END IF !if (q1lay(i).gt.ridicule) THEN
 END IF !if (qsol(i).gt.ridicule_rain) THEN
 ! verif
@@ -2188,20 +2188,20 @@
  enddo !do ixt=1,niso
 
- if (iso_eau.gt.0) THEN
+ IF (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix(Rsol(iso_eau),1.0, &
 &          'iso_surf>calcul_Rsol 371',errmax,errmaxrel*10)
- endif !if (iso_eau.gt.0) THEN
- if (iso_HDO.gt.0) THEN
-    if (qsol(i).gt.ridicule_qsol*1e2) THEN
+ END IF !if (iso_eau.gt.0) THEN
+ IF (iso_HDO.gt.0) THEN
+    IF (qsol(i).gt.ridicule_qsol*1e2) THEN
         CALL iso_verif_aberrant(Rsol(iso_HDO)/faccond, &
 &          'iso_surf>calcul_Rsol 374')
     endif !if (qsol(i).gt.ridicule_qsol) THEN
- endif  !if (iso_HDO.gt.0) THEN
- if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-    if (qsol(i).gt.ridicule_qsol) THEN
+ END IF  !if (iso_HDO.gt.0) THEN
+ IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+    IF (qsol(i).gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant_o17(Rsol(iso_O17), &
 &           Rsol(iso_O18),'iso_surf 548')
-    endif !if ((qsol(i).gt.ridicule).and.(xtsol(iso_O18,i)
- endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+    endif !if ((qsol(i).gt.ridicule).AND.(xtsol(iso_O18,i)
+ END IF !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
           ! end verif
@@ -2226,24 +2226,24 @@
  IMPLICIT NONE
 ! inputs
-integer i
-integer klon
-real evap(klon) ! en kg d'eau/s
-real xt1lay(ntraciso,klon) ! en kg d'iso/kg d'air
-real q1lay(klon) ! en kg d'eau/kg d'air
-real tsurf(klon)
-real t_coup
+INTEGER i
+INTEGER klon
+REAL evap(klon) ! en kg d'eau/s
+REAL xt1lay(ntraciso,klon) ! en kg d'iso/kg d'air
+REAL q1lay(klon) ! en kg d'eau/kg d'air
+REAL tsurf(klon)
+REAL t_coup
 !      real dtime ! en s: typiquement: 1800s
 !      real Mair ! en kg d'air
 
 ! outputs
-real xtevap(ntraciso,klon) ! en kg d'iso/s
+REAL xtevap(ntraciso,klon) ! en kg d'iso/s
 
 ! locals
-integer ixt
-real zxtalphal(niso),zxtalphai(niso)
-real zxtliq,zxtice ! en kg d'eau /kg d'air
+INTEGER ixt
+REAL zxtalphal(niso),zxtalphai(niso)
+REAL zxtliq,zxtice ! en kg d'eau /kg d'air
 !      real qevap ! en kg d'eau /kg d'air
 !real deltaD ! juste pour vérif
-real R1eff
+REAL R1eff
 !#ifdef ISOVERIF
 !integer iso_verif_aberrant_o17_nostop
@@ -2252,5 +2252,5 @@
 
 !      WRITE(*,*) 'iso_surf>rosée 527: entrée dans rosée'
-IF (evap(i).eq.0.0) THEN
+IF (evap(i).EQ.0.0) THEN
 #ifdef ISOVERIF          
 WRITE(*,*) 'iso_surf>rosée 528: evap(i)=',evap(i)
@@ -2265,5 +2265,5 @@
      ! verif de R1
 #ifdef ISOVERIF
-         if (iso_HDO.gt.0) THEN
+         IF (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant(xt1lay(iso_HDO,i)/q1lay(i), &
 &                  'iso_surf>rosée 530')
@@ -2276,5 +2276,5 @@
 !             WRITE(*,*) 'evap(i),dtime,Mair,q1lay(i)=',
 !     :                   evap(i),dtime,Mair,q1lay(i)            
-  if (tsurf(i).ge.t_coup) THEN
+  IF (tsurf(i).ge.t_coup) THEN
     !WRITE(*,*) 'iso_surf>iso_rosee_givre 3181: tsurf(i)=',tsurf(i)
     do ixt=1,niso
@@ -2305,5 +2305,5 @@
         CALL iso_verif_noNAN(xtevap(ixt,i),'iso_surf>rosée 557')
       enddo !do ixt=1,niso  
-      if (iso_HDO.gt.0) THEN
+      IF (iso_HDO.gt.0) THEN
 !                WRITE(*,*) 'iso_surf>rosée 554: deltaD1=',
 !     :                   deltaD(xt1lay(iso_HDO,i)/q1lay(i))
@@ -2343,5 +2343,5 @@
 
 #ifdef ISOVERIF            
-    if (iso_HDO.gt.0) THEN
+    IF (iso_HDO.gt.0) THEN
 !             WRITE(*,*) 'iso_surf>rosée 571: deltaD1=',
 !     :                   deltaD(xt1lay(iso_HDO,i)/q1lay(i))
@@ -2349,5 +2349,5 @@
 !     :                   deltaD(xtevap(iso_HDO,i)/evap(i))    
     endif  !if (iso_HDO.gt.0) THEN
-    if (iso_eau.gt.0) THEN
+    IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix(xt1lay(iso_eau,i),q1lay(i), &
 &           'iso_surf>iso_rosee_givre 621',errmax,errmaxrel)
@@ -2360,5 +2360,5 @@
 #endif              
 #endif            
-  endif !if (tsurf(i).ge.0.0) THEN
+  ENDIF !if (tsurf(i).ge.0.0) THEN
   ! verif   
 #ifdef ISOVERIF
@@ -2369,12 +2369,12 @@
 #endif
 #ifdef ISOVERIF
-    if (iso_eau.gt.0) THEN
+    IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix(xtevap(iso_eau,i),evap(i), &
 &           'iso_surf>iso_rosee_givre 3192',errmax,errmaxrel)
     endif !if (iso_eau.gt.0) THEN
-    if (abs(evap(i)).gt.ridicule_rain) THEN
-      if (iso_HDO.gt.0) THEN
-         if (iso_verif_aberrant_choix_nostop(xtevap(iso_HDO,i),evap(i), &
-&           ridicule_rain,deltalim_snow,'iso_surf>iso_rosee_givre 3193').eq.1) THEN
+    IF (abs(evap(i)).gt.ridicule_rain) THEN
+      IF (iso_HDO.gt.0) THEN
+         IF (iso_verif_aberrant_choix_nostop(xtevap(iso_HDO,i),evap(i), &
+&           ridicule_rain,deltalim_snow,'iso_surf>iso_rosee_givre 3193').EQ.1) THEN
                 WRITE(*,*) 'zxtalphai(iso_HDO)=',zxtalphai(iso_HDO)
                 WRITE(*,*) 'deltaD1eff=',deltaD(xt1lay(iso_HDO,i)/q1lay(i))
@@ -2384,8 +2384,8 @@
            endif !if (iso_verif_aberrant_nostop
       endif  !if (iso_HDO.gt.0) THEN
-      if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-        if (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i) &
+      IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+        IF (iso_verif_aberrant_o17_nostop(xtevap(iso_O17,i) &
 &            /evap(i),xtevap(iso_O18,i) &
-&            /evap(i),'iso_surf>iso_rosee_givre 713').eq.1) THEN
+&            /evap(i),'iso_surf>iso_rosee_givre 713').EQ.1) THEN
           WRITE(*,*) 'tsurf(i)-t_coup=',tsurf(i)-t_coup
           WRITE(*,*) 'deltaO18, O17excess, 1lay', &
@@ -2396,5 +2396,5 @@
           stop
         endif
-      endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+      endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
     endif !if (evap(i).gt.ridicule_rain) THEN
 #endif
